<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>All</span></a></li>
      <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals_func.html#index_1"><span>1</span></a></li>
      <li><a href="globals_func_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_func_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_func_0x66.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="globals_func_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_func_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_func_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_func_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_func_0x74.html#index_t"><span>t</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>minput_assign_command_keys()
: <a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">input.c</a>
</li>
<li>minput_callback()
: <a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">m17n.h</a>
</li>
<li>minput_close_im()
: <a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">input.c</a>
</li>
<li>minput_config_command()
: <a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">m17n.h</a>
</li>
<li>minput_config_file()
: <a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">input.c</a>
</li>
<li>minput_config_variable()
: <a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">input.c</a>
</li>
<li>minput_create_ic()
: <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">input.c</a>
</li>
<li>minput_destroy_ic()
: <a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">m17n.h</a>
</li>
<li>minput_event_to_key()
: <a class="el" href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad">m17n-gui.h</a>
, <a class="el" href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad">input-gui.c</a>
</li>
<li>minput_filter()
: <a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">input.c</a>
</li>
<li>minput_get_command()
: <a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">input.c</a>
</li>
<li>minput_get_commands()
: <a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">input.c</a>
</li>
<li>minput_get_description()
: <a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">input.c</a>
</li>
<li>minput_get_title_icon()
: <a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">input.c</a>
</li>
<li>minput_get_variable()
: <a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">input.c</a>
</li>
<li>minput_get_variables()
: <a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">m17n.h</a>
</li>
<li>minput_lookup()
: <a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">m17n.h</a>
</li>
<li>minput_open_im()
: <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">input.c</a>
</li>
<li>minput_reset_ic()
: <a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">m17n.h</a>
</li>
<li>minput_save_config()
: <a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">input.c</a>
</li>
<li>minput_set_spot()
: <a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">input.c</a>
</li>
<li>minput_set_variable()
: <a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">input.c</a>
</li>
<li>minput_toggle()
: <a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">m17n.h</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
